[solucionado] Avant Window Navigator no funciona, ni se inicia con Alt+f2 ni se carga en el inicio

Imagen de cmachimbarrena
0 puntos

Justo después de la última actualización del sistema, la AWN ni se carga ni se inicia desde el principio de la sesión, aunque sí que esta incluida en Sistema>Preferencias>Sesiones. He estado buscando info pero no encuentro nada parecido a mi caso, Tendo el compiz-fusion, aceleración 3D y todo lo neecesario para que funcione, de hecho hace nada todo iba bien.

Bueno, a ver si sabéis darme una solución.

Saludos!

Imagen de Yolagp
+1
0
-1

Movido desde Instalación y actualizaciones.


Equipo de Ubuntu-es

+1
0
-1
Imagen de Crepuscular
+1
0
-1

¿Has probado a ejecutarlo desde la Terminal?
Postea el error que te indique...

 

 

***ese gran desconocido, el botón BUSCAR

 

+1
0
-1

 

 

***ese gran desconocido, el botón BUSCAR

 

Imagen de cmachimbarrena
+1
0
-1

Hola crepuscular, gracias por contestar. Lo he ejecutado desde el terminal y da este error:

txus@txus-laptop:~$ avant-window-navigator
avant-window-navigator: error while loading shared libraries: libgnome-desktop-2.so.2: cannot open shared object file: No such file or directory

txus@txus-laptop:~$

Alguna ocurrencia al respecto?

+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena

Imagen de cmachimbarrena
+1
0
-1

Hola crepuscular, gracias por contestar. Lo he ejecutado desde el terminal y da este error:

txus@txus-laptop:~$ avant-window-navigator
avant-window-navigator: error while loading shared libraries: libgnome-desktop-2.so.2: cannot open shared object file: No such file or directory

txus@txus-laptop:~$

Alguna ocurrencia al respecto?

+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena

Imagen de hugolino
+1
0
-1

El error dice que te falta libgnome-desktop-2.so.2. O sea, instalá los paquetes libgnome-desktop-2.

Si está instalado, reinstalalo.

+1
0
-1
Imagen de Goyo
+1
0
-1

Tiene pinta de que estás usando una versión de AWN que no es adecuada para tu versión de Ubuntu.

+1
0
-1
Imagen de cmachimbarrena
+1
0
-1

Hola de nuevo, he buscado en synaptic los paquetes y no los encuentra.Por el terminal tb lo he intentado y no los encuentra.

txus@txus-laptop:~$ sudo apt-get install libgnome-desktop-2.so.2
[sudo] password for txus:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se pudo encontrar el paquete libgnome-desktop-2.so.2
txus@txus-laptop:~$

Alguna sugerencia...gracias!

+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena

Imagen de hugolino
+1
0
-1

El paquete se llama "libgnome-desktop-2", sin el ".so.2"

+1
0
-1
Imagen de Crepuscular
+1
0
-1

Ya te está indicando hugolino. Solo espero que lo puedas solucionar.
el paquete es 'libgnome-desktop-2' (sin comillas)

 

 

***ese gran desconocido, el botón BUSCAR

 

+1
0
-1

 

 

***ese gran desconocido, el botón BUSCAR

 

Imagen de cmachimbarrena
+1
0
-1

Al buscar libgnome-desktop-2 me pone:

txus@txus-laptop:~$ sudo apt-get install libgnome-desktop-2
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
El paquete libgnome-desktop-2 no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente

E: El paquete libgnome-desktop-2 no tiene candidato para su instalación

Lo he buscado en Synaptic tb pero me ha encontrado una librería parecida: libgnome-desktop-2-7 que la tenía ya instalada. Por si era esa la que no encuentra al cargar AWN la he reinstalado y luego he intentado ejecutar AWN por la terminal dándome el mismo error:

txus@txus-laptop:~$ avant-window-navigator
avant-window-navigator: error while loading shared libraries: libgnome-desktop-2.so.2: cannot open shared object file: No such file or directory
txus@txus-laptop:~$

Me parece que la solución v a a estar en quitar AWN y volver a instalarla, o si nó que más podría hacer?

Gracias por la atención, y un saludo.

+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena

Imagen de hugolino
+1
0
-1

Ahora que veo, el paquete libgnome-desktop-2 es de hardy...

Igual reinstalá la barra, que debería instalarte por su cuenta todas las dependencias que necesite.

La otra opción es buscar si en el disco rígido hay algún "libgnome-desktop-2.so.2" y copiarlo donde sea que lo esté buscando el AWN pero ya no sabría decirte exactamente dónde meterlo, alguien que tenga el AWN andando podría decirte dónde tiene que ir.

+1
0
-1
Imagen de cmachimbarrena
+1
0
-1

He desinstalado completamente la AWN y la he vuelto a instalar. E incluso he instalado todo lo que salía en el synaptic con awn. Y nadaa el mismo error de la libreria de los cujons. Pos ná a ver si alguien sabe como arreglar esto...

+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena

Imagen de cmachimbarrena
+1
0
-1

No ejecutes avant-window-navigator desde la terminal que dará un critical error 3040 y si que se cargará pero al cerrar la terminal dessaparecerá con ella la AWN, así que esta vez hay que ejecutarla con Alt+F2 .

+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena

Imagen de hugolino
+1
0
-1

Parece que si hacés:

sudo ln -s /usr/lib/libgnome-desktop-2.so.7 /usr/lib/libgnome-desktop-2.so.2

Se arregla, es crear un enlace a la libgnome 2.7 pero con el nombre 2.2, parece que el AWN no la toma bien como .7.

+1
0
-1
Imagen de cmachimbarrena
+1
0
-1

escribí esso mismo...hace un semana o así pero debí de poner demasiadas mayúsculas y me quitaron el mensaje...bueno de todas maneras después de hacer lo que bien dice hugolino, hay que cargar la AWN usando Alt+F2 porque si la cargas por la terminal da un error 3040 critical error de no se qué y cuando cierras la terminal se va con ella la AWN.
Bueno pos eso es todo. Todo solucionado.

+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena

Imagen de hugolino
+1
0
-1

Lo de cerrar la terminal y que se cierre la aplicación pasa con toda aplicación ejceutada desde terminal, hay un parámetro que se le agrega a los comandos para que sean independientes de esa terminal (sería equivalente a ejecutarlo mediante Alt+F2) que ahora no recuerdo, pero no es un problema, es el funcionamiento correcto :P.

La idea de correr mediante una terminal es ver la salida de mensajes nomás.

No olvides agregar "solucionado" al título del tema.

+1
0
-1
Imagen de cmachimbarrena
+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena

+1
0
-1

Un saludo y gracias por todo.

Txus Matxinbarrena